LOSETUP(8)

NAZWA
losetup - konfiguracja i sterowanie urządzeniami pętli (loop)

SKŁADNIA

Pobieranie informacji:

losetup [urządzenie_loop]

losetup -l [-a]

losetup -j plik [-o ofset]

Odłączenie urządzenia loop:

losetup -d urządzenie_loop ...

Odłączenie wszystkich przypisanych urządzeń loop:

losetup -D

Konfigurowanie urządzenia loop:

losetup [-o offset] [--sizelimit size] [--sector-size size] [-Pr] [--show] -f|loopdev file

Zmiana rozmiaru urządzenia loop:

losetup -c urządzenie_loop

OPIS

losetup służy do kojarzenia urządzeń loop (pętli) z plikami zwykłymi lub urządzeniami blokowymi, do odłączania urządzeń loop i sprawdzania ich stanu. Jeżeli podano tylko argument urządzenie_loop, to pokazywany jest stan odpowiedniego urządzenia loop. Jeśli nie podano żadnej opcji, to wyświetlane są wszystkie urządzenia loop.

Proszę zauważyć, że stary format wyjściowy (tj. losetup -a) z łańcuchami znaków oddzielonymi od siebie przecinkami jest przestarzały. Zamiast niego preferowanym formatem jest format --list.

It’s possible to create more independent loop devices for the same backing file. This setup may be dangerous, can cause data loss, corruption and overwrites. Use --nooverlap with --find during setup to avoid this problem.

The loop device setup is not an atomic operation when used with --find, and losetup does not protect this operation by any lock. The number of attempts is internally restricted to a maximum of 16. It is recommended to use for example flock(1) to avoid a collision in heavily parallel use cases.

OPCJE

Po argumentach rozmiar i ofset mogą występować sufiksy binarne (2^N): KiB (=1024), MiB (=1024*1024) i tak dalej dla GiB, TiB, PiB, EiB, ZiB oraz YiB (część "iB" jest opcjonalna, na przykład "K" ma to samo znaczenie, co "KiB") lub decymalne (10^N): KB (=1000), MB (=1000*1000) i podobnie dla GB, PB, EB, ZB oraz YB.

-a, --all
    Show the status of all loop devices. Note that not all information is accessible for non-root users. See also --list. The old output format (as printed without --list) is deprecated.

-d, --detach urządzenie_loop...
    Detach the file or device associated with the specified loop device(s). Note that since Linux v3.7 kernel uses "lazy device destruction". The detach operation does not return EBUSY error anymore if device is actively used by system, but it is marked by autoclear flag and destroyed later.

-D, --detach-all
    Odłącza wszystkie przypisane urządzenia loop.

-f, --find [plik]
    Szuka pierwszego nieużywanego urządzenia loop. Jeśli podano argument plik, to używa tego znalezionego urządzenia jako urządzenia loop. W przeciwnym wypadku wyświetla jego nazwę.

--show
    Wyświetla nazwę przypisanego urządzenia loop, jeśli podano opcję -f i argument plik.

-L, --nooverlap
    Check for conflicts between loop devices to avoid situation when the same backing file is shared between more loop devices. If the file is already used by another device then re-use the device rather than a new one. The option makes sense only with --find.

-j, --associated plik [-o ofset]
    Wwyświetla stan wszystkich urządzeń loop skojarzonym z podanym plikiem.

-o, --offset ofset
    The data start is moved offset bytes into the specified file or device. The offset may be followed by the multiplicative suffixes; see above.

--sizelimit rozmiar
    The data end is set to no more than size bytes after the data start. The size may be followed by the multiplicative suffixes; see above.

-b, --sector-size rozmiar
    Set the logical sector size of the loop device in bytes (since Linux 4.14). The option may be used when creating a new loop device as well as a stand-alone command to modify sector size of the already existing loop device.

-c, --set-capacity urządzenie_loop
    Wymusza na sterowniku loop ponowne odczytanie rozmiaru pliku skojarzonego z podanym urządzeniem loop.

-P, --partscan
    Force the kernel to scan the partition table on a newly created loop device. Note that the partition table parsing depends on sector sizes. The default is sector size is 512 bytes, otherwise you need to use the option --sector-size together with --partscan.

-r, --read-only
    Konfiguruje urządzenie loop jako tylko do odczytu.

--direct-io[=on|off]
    Enable or disable direct I/O for the backing file. The optional argument can be either on or off. If the optional argument is omitted, it defaults to on.

-v, --verbose
    Tryb szczegółowy (verbose).

-l, --list
    Jeśli podano urządzenie loop lub opcję -a, to wyświetla domyślne kolumny albo dla podanego urządzenia, albo dla wszystkich urządzeń loop. Domyślnie wyświetla informacje o wszystkich urządzeniach. Patrz także --output, --noheadings --raw oraz --json.

-O, --output column[,column]...
    Specify the columns that are to be printed for the --list output. Use --help to get a list of all supported columns.

--output-all
    Wypisuje wszystkie dostępne kolumny.

-n, --noheadings
    Nie wyświetla nagłówków w wyjściu formatu opcji --list.

--raw
    Używa surowego formatu wyjściowego w --list.

-J, --json
    Używa formatu JSON w wyjściu --list.

SZYFROWANIE

Cryptoloop jest przestarzały, zamiast niego zalecany jest dm-crypt. Szczegóły można znaleźć w cryptsetup(8).

KOD ZAKOŃCZENIA

losetup zwraca 0, jeśli zakończyło się pomyślnie, a wartość niezerową w przypadku błędu. Gdy losetup wyświetla stan urządzenia loop, to zwraca 1, jeśli urządzenie nie jest skonfigurowane, lub 2, gdy wystąpił błąd uniemożliwiający określenie stanu urządzenia.

UWAGI

Since version 2.37 losetup uses LOOP_CONFIGURE ioctl to setup a new loop device by one ioctl call. The old versions use LOOP_SET_FD and LOOP_SET_STATUS64 ioctls to do the same.

ŚRODOWISKO

LOOPDEV_DEBUG=all
    włącza wyjście debugowania.

PLIKI

/dev/loop[0..N]
    urządzenia blokowe urządzenia loop

/dev/loop-control
    urządzenie kontrolne urządzenia loop

PRZYKŁAD

Jako przykład użycia urządzenia loop posłużą poniższe polecenia:

    # dd if=/dev/zero of=~/file.img bs=1024k count=10
    # losetup --find --show ~/file.img
    /dev/loop0
    # mkfs -t ext2 /dev/loop0
    # mount /dev/loop0 /mnt
    ...
    # umount /dev/loop0
    # losetup --detach /dev/loop0

AUTORZY

based on the original version from

ZGŁASZANIE BŁĘDÓW

Raporty o błędach proszę zgłaszać pod adresem

DOSTĘPNOŚĆ

The losetup command is part of the util-linux package which can be downloaded from

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Wojtek Kotwica <wkotwica@post.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.